starting with white display when webrender is turned on.

VERIFIED FIXED in mozilla60

Status

()

defect
--
major
VERIFIED FIXED
Last year
Last year

People

(Reporter: ash153311, Assigned: kats)

Tracking

(Blocks 1 bug, {nightly-community, regression})

60 Branch
mozilla60
Unspecified
Windows
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox58 unaffected, firefox59 unaffected, firefox60 unaffected)

Details

Attachments

(5 attachments)

Posted image capture.PNG
User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0
Build ID: 20180226180053

Steps to reproduce:

1. set gfx.webrender.all;true

2. close and restart firefox nightly


Actual results:

White discplay is occured.


Expected results:

about:home should be displayed
{
  "application": {
    "name": "Firefox",
    "osVersion": "Windows_NT 10.0",
    "version": "60.0a1",
    "buildID": "20180302104326",
    "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:60.0) Gecko/20100101 Firefox/60.0",
    "safeMode": true,
    "updateChannel": "nightly",
    "supportURL": "https://support.mozilla.org/1/firefox/60.0a1/WINNT/ko/",
    "numTotalWindows": 1,
    "numRemoteWindows": 1,
    "remoteAutoStart": true,
    "currentContentProcesses": 3,
    "maxContentProcesses": 4,
    "autoStartStatus": 1,
    "styloBuild": true,
    "styloDefault": true,
    "styloResult": true,
    "styloChromeDefault": true,
    "styloChromeResult": true,
    "keyGoogleFound": true,
    "keyMozillaFound": true
  },
  "securitySoftware": {
    "registeredAntiVirus": "Windows Defender 바이러스 백신",
    "registeredAntiSpyware": "Windows Defender 바이러스 백신",
    "registeredFirewall": "Windows 방화벽"
  },
  "modifiedPreferences": {
    "browser.cache.disk.filesystem_reported": 1,
    "browser.cache.disk.smart_size.first_run": false,
    "browser.cache.disk.capacity": 358400,
    "browser.places.smartBookmarksVersion": 8,
    "browser.sessionstore.upgradeBackup.latestBuildID": "20180302104326",
    "browser.startup.homepage_override.mstone": "60.0a1",
    "browser.startup.homepage_override.buildID": "20180302104326",
    "browser.urlbar.timesBeforeHidingSuggestionsHint": 0,
    "dom.forms.autocomplete.formautofill": true,
    "extensions.lastAppVersion": "60.0a1",
    "gfx.webrender.all": true,
    "layers.mlgpu.sanity-test-failed": false,
    "media.gmp-widevinecdm.lastUpdate": 1519999425,
    "media.gmp-gmpopenh264.lastUpdate": 1519999423,
    "media.gmp.storage.version.observed": 1,
    "media.hardware-video-decoding.failed": false,
    "media.gmp-widevinecdm.version": "1.4.8.1008",
    "media.gmp-gmpopenh264.abi": "x86_64-msvc-x64",
    "media.gmp-manager.lastCheck": 1519999423,
    "media.gmp-widevinecdm.abi": "x86_64-msvc-x64",
    "media.benchmark.vp9.versioncheck": 3,
    "media.benchmark.vp9.fps": 186,
    "media.gmp-gmpopenh264.version": "1.7.1",
    "media.gmp-manager.buildID": "20180302104326",
    "network.prefetch-next": false,
    "network.dns.disablePrefetch": true,
    "network.http.speculative-parallel-limit": 0,
    "network.predictor.enabled": false,
    "network.predictor.cleaned-up": true,
    "network.cookie.prefsMigrated": true,
    "places.history.expiration.transient_current_max_pages": 131778,
    "plugin.disable_full_page_plugin_for_types": "application/pdf",
    "privacy.trackingprotection.introCount": 20,
    "privacy.donottrackheader.enabled": true,
    "privacy.trackingprotection.enabled": true,
    "security.sandbox.content.tempDirSuffix": "{da499ae7-29e9-4429-b666-de72f98816e8}",
    "services.sync.declinedEngines": "addons,prefs",
    "services.sync.lastPing": 1519999733,
    "services.sync.lastSync": "Fri Mar 02 2018 09:18:57 GMT-0500",
    "services.sync.engine.passwords.validation.lastTime": 1520000000,
    "services.sync.engine.creditcards.available": true,
    "services.sync.engine.prefs": false,
    "services.sync.engine.bookmarks.validation.lastTime": 1520000000,
    "services.sync.engine.addresses.available": true,
    "services.sync.engine.addresses": true,
    "services.sync.engine.addons": false,
    "services.sync.engine.creditcards": true,
    "services.sync.engine.prefs.modified": false,
    "ui.osk.debug.keyboardDisplayReason": "IKPOS: Touch screen not found."
  },
  "lockedPreferences": {},
  "media": {
    "currentAudioBackend": "wasapi",
    "currentMaxAudioChannels": 2,
    "currentPreferredChannelLayout": "stereo",
    "currentPreferredSampleRate": 48000,
    "audioOutputDevices": [
      {
        "name": "내부 AUX 잭(High Definition Audio 장치)",
        "groupId": "HDAUDIO\\FUNC_01&VEN_111D&DEV_76E0&SUBSYS_103C181B&REV_1001\\4&1ddd38fb&0&0001",
        "vendor": "",
        "type": 2,
        "state": 0,
        "preferred": 0,
        "supportedFormat": 4112,
        "defaultFormat": 4096,
        "maxChannels": 0,
        "defaultRate": 0,
        "maxRate": 0,
        "minRate": 0,
        "maxLatency": 0,
        "minLatency": 0
      },
      {
        "name": "스피커(High Definition Audio 장치)",
        "groupId": "HDAUDIO\\FUNC_01&VEN_111D&DEV_76E0&SUBSYS_103C181B&REV_1001\\4&1ddd38fb&0&0001",
        "vendor": "",
        "type": 2,
        "state": 2,
        "preferred": 7,
        "supportedFormat": 4112,
        "defaultFormat": 4096,
        "maxChannels": 2,
        "defaultRate": 48000,
        "maxRate": 48000,
        "minRate": 48000,
        "maxLatency": 480,
        "minLatency": 129
      },
      {
        "name": "LCDTV(인텔(R) 디스플레이 오디오)",
        "groupId": "HDAUDIO\\FUNC_01&VEN_8086&DEV_2806&SUBSYS_103C1818&REV_1000\\4&1ddd38fb&0&0301",
        "vendor": "",
        "type": 2,
        "state": 0,
        "preferred": 0,
        "supportedFormat": 4112,
        "defaultFormat": 4096,
        "maxChannels": 2,
        "defaultRate": 48000,
        "maxRate": 48000,
        "minRate": 48000,
        "maxLatency": 0,
        "minLatency": 0
      }
    ],
    "audioInputDevices": [
      {
        "name": "마이크(High Definition Audio 장치)",
        "groupId": "HDAUDIO\\FUNC_01&VEN_111D&DEV_76E0&SUBSYS_103C181B&REV_1001\\4&1ddd38fb&0&0001",
        "vendor": "",
        "type": 1,
        "state": 1,
        "preferred": 0,
        "supportedFormat": 4112,
        "defaultFormat": 4096,
        "maxChannels": 2,
        "defaultRate": 44100,
        "maxRate": 44100,
        "minRate": 44100,
        "maxLatency": 0,
        "minLatency": 0
      },
      {
        "name": "마이크(High Definition Audio 장치)",
        "groupId": "HDAUDIO\\FUNC_01&VEN_111D&DEV_76E0&SUBSYS_103C181B&REV_1001\\4&1ddd38fb&0&0001",
        "vendor": "",
        "type": 1,
        "state": 2,
        "preferred": 7,
        "supportedFormat": 4112,
        "defaultFormat": 4096,
        "maxChannels": 2,
        "defaultRate": 44100,
        "maxRate": 44100,
        "minRate": 44100,
        "maxLatency": 448,
        "minLatency": 129
      }
    ]
  },
  "javaScript": {
    "incrementalGCEnabled": true
  },
  "accessibility": {
    "isActive": false,
    "forceDisabled": 0,
    "handlerUsed": true,
    "instantiator": ""
  },
  "libraryVersions": {
    "NSPR": {
      "minVersion": "4.19 Beta",
      "version": "4.19 Beta"
    },
    "NSS": {
      "minVersion": "3.36 Beta",
      "version": "3.36 Beta"
    },
    "NSSUTIL": {
      "minVersion": "3.36 Beta",
      "version": "3.36 Beta"
    },
    "NSSSSL": {
      "minVersion": "3.36 Beta",
      "version": "3.36 Beta"
    },
    "NSSSMIME": {
      "minVersion": "3.36 Beta",
      "version": "3.36 Beta"
    }
  },
  "userJS": {
    "exists": false
  },
  "intl": {
    "localeService": {
      "requested": [
        "ko",
        "en-US"
      ],
      "available": [
        "ko",
        "en-US"
      ],
      "supported": [
        "ko",
        "en-US"
      ],
      "regionalPrefs": [
        "ko-KR"
      ],
      "defaultLocale": "ko"
    },
    "osPrefs": {
      "systemLocales": [
        "ko-KR"
      ],
      "regionalPrefsLocales": [
        "ko-KR"
      ]
    }
  },
  "crashes": {
    "submitted": [],
    "pending": 0
  },
  "sandbox": {
    "contentSandboxLevel": 5,
    "effectiveContentSandboxLevel": 5
  },
  "graphics": {
    "numTotalWindows": 1,
    "numAcceleratedWindows": 0,
    "windowLayerManagerType": "Basic",
    "windowLayerManagerRemote": true,
    "windowUsingAdvancedLayers": false,
    "numAcceleratedWindowsMessage": [
      ""
    ],
    "adapterDescription": "Intel(R) HD Graphics 4000",
    "adapterVendorID": "0x8086",
    "adapterDeviceID": "0x0166",
    "adapterSubsysID": "181b103c",
    "adapterRAM": "Unknown",
    "adapterDrivers": "igdumdim64 igd10iumd64 igd10iumd64 igdumdim32 igd10iumd32 igd10iumd32",
    "driverVersion": "10.18.10.4885",
    "driverDate": "12-11-2017",
    "adapterDescription2": "NVIDIA GeForce GT 650M",
    "adapterVendorID2": "0x10de",
    "adapterDeviceID2": "0x0fd1",
    "adapterSubsysID2": "181b103c",
    "adapterRAM2": "2048",
    "adapterDrivers2": "C:\\WINDOWS\\System32\\DriverStore\\FileRepository\\nvhmi.inf_amd64_cd05c0587bf6b344\\nvldumdx.dll,C:\\WINDOWS\\System32\\DriverStore\\FileRepository\\nvhmi.inf_amd64_cd05c0587bf6b344\\nvldumdx.dll,C:\\WINDOWS\\System32\\DriverStore\\FileRepository\\nvhmi.inf_amd64_cd05c0587bf6b344\\nvldumdx.dll,C:\\WINDOWS\\System32\\DriverStore\\FileRepository\\nvhmi.inf_amd64_cd05c0587bf6b344\\nvldumdx.dll C:\\WINDOWS\\System32\\DriverStore\\FileRepository\\nvhmi.inf_amd64_cd05c0587bf6b344\\nvldumd.dll,C:\\WINDOWS\\System32\\DriverStore\\FileRepository\\nvhmi.inf_amd64_cd05c0587bf6b344\\nvldumd.dll,C:\\WINDOWS\\System32\\DriverStore\\FileRepository\\nvhmi.inf_amd64_cd05c0587bf6b344\\nvldumd.dll,C:\\WINDOWS\\System32\\DriverStore\\FileRepository\\nvhmi.inf_amd64_cd05c0587bf6b344\\nvldumd.dll",
    "driverVersion2": "23.21.13.9077",
    "driverDate2": "1-23-2018",
    "isGPU2Active": false,
    "direct2DEnabled": false,
    "directWriteEnabled": true,
    "directWriteVersion": "10.0.16299.15",
    "usesTiling": false,
    "offMainThreadPaintEnabled": false,
    "offMainThreadPaintWorkerCount": 0,
    "direct2DEnabledMessage": [
      ""
    ],
    "webgl1Renderer": "WebGL is currently disabled.",
    "webgl1Version": "-",
    "webgl1DriverExtensions": "-",
    "webgl1Extensions": "-",
    "webgl1WSIInfo": "-",
    "webgl2Renderer": "WebGL is currently disabled.",
    "webgl2Version": "-",
    "webgl2DriverExtensions": "-",
    "webgl2Extensions": "-",
    "webgl2WSIInfo": "-",
    "info": {
      "AzureCanvasBackend": "skia",
      "AzureFallbackCanvasBackend": "cairo",
      "AzureContentBackend": "skia",
      "AzureCanvasAccelerated": 0,
      "ApzWheelInput": 1,
      "ApzDragInput": 1,
      "ApzKeyboardInput": 1,
      "ApzAutoscrollInput": 1
    },
    "featureLog": {
      "features": [
        {
          "name": "HW_COMPOSITING",
          "description": "Compositing",
          "status": "blocked",
          "log": [
            {
              "type": "default",
              "status": "available"
            },
            {
              "type": "runtime",
              "status": "blocked",
              "message": "Acceleration blocked by safe-mode"
            }
          ]
        },
        {
          "name": "D3D11_COMPOSITING",
          "description": "Direct3D11 Compositing",
          "status": "unavailable",
          "log": [
            {
              "type": "default",
              "status": "unavailable",
              "message": "Hardware compositing is disabled"
            }
          ]
        },
        {
          "name": "DIRECT2D",
          "description": "Direct2D",
          "status": "unavailable",
          "log": [
            {
              "type": "default",
              "status": "unavailable",
              "message": "Direct2D requires Direct3D 11 compositing"
            }
          ]
        },
        {
          "name": "D3D11_HW_ANGLE",
          "description": "Direct3D11 hardware ANGLE",
          "status": "disabled",
          "log": [
            {
              "type": "default",
              "status": "unavailable",
              "message": "D3D11 compositing is disabled"
            },
            {
              "type": "env",
              "status": "disabled",
              "message": "D3D11 compositing is disabled"
            }
          ]
        },
        {
          "name": "GPU_PROCESS",
          "description": "GPU Process",
          "status": "blocked",
          "log": [
            {
              "type": "default",
              "status": "available"
            },
            {
              "type": "runtime",
              "status": "blocked",
              "message": "Safe-mode is enabled"
            }
          ]
        },
        {
          "name": "WEBRENDER",
          "description": "WebRender",
          "status": "unavailable",
          "log": [
            {
              "type": "default",
              "status": "opt-in",
              "message": "WebRender is an opt-in feature"
            },
            {
              "type": "user",
              "status": "available",
              "message": "Enabled by pref"
            },
            {
              "type": "runtime",
              "status": "unavailable",
              "message": "ANGLE is disabled"
            }
          ]
        },
        {
          "name": "OMTP",
          "description": "Off Main Thread Painting",
          "status": "blocked",
          "log": [
            {
              "type": "default",
              "status": "available"
            },
            {
              "type": "runtime",
              "status": "blocked",
              "message": "OMTP blocked by safe-mode"
            }
          ]
        }
      ],
      "fallbacks": []
    },
    "crashGuards": []
  },
  "experiments": [],
  "extensions": [],
  "features": [
    {
      "name": "Activity Stream",
      "version": "2018.03.01.1281-6a7c8294",
      "id": "activity-stream@mozilla.org"
    },
    {
      "name": "Application Update Service Helper",
      "version": "2.0",
      "id": "aushelper@mozilla.org"
    },
    {
      "name": "Firefox Screenshots",
      "version": "30.0.0",
      "id": "screenshots@mozilla.org"
    },
    {
      "name": "Follow-on Search Telemetry",
      "version": "0.9.6",
      "id": "followonsearch@mozilla.com"
    },
    {
      "name": "Form Autofill",
      "version": "1.0",
      "id": "formautofill@mozilla.org"
    },
    {
      "name": "Photon onboarding",
      "version": "1.0",
      "id": "onboarding@mozilla.org"
    },
    {
      "name": "Pocket",
      "version": "1.0.5",
      "id": "firefox@getpocket.com"
    },
    {
      "name": "Presentation",
      "version": "1.0.0",
      "id": "presentation@mozilla.org"
    },
    {
      "name": "Shield Recipe Client",
      "version": "83",
      "id": "shield-recipe-client@mozilla.org"
    },
    {
      "name": "Web Compat",
      "version": "1.1",
      "id": "webcompat@mozilla.org"
    },
    {
      "name": "WebCompat Reporter",
      "version": "1.0.0",
      "id": "webcompat-reporter@mozilla.org"
    }
  ]
}
Component: Untriaged → Graphics: WebRender
Product: Firefox → Core
I can reproduce this. Presumably it started with the WR update that landed last night. I'll try running the try pushes from that bug and see if I can narrow down the range.
It happens even on the first try push in that bug, i.e. starting from nical's async scene building stuff.
Posted image wr.png
Fresh profile, webrender.all, 20180302104326 de_DE, Win10 (Radeon RX480).
After this set force-angle to false via prefs.js, restarted and got a fallback ("couldn't connect to compositor device" or something like that). The next time I started Nightly with force-angle=false Webrender was okay (I only had bug 1432261).
Severity: normal → major
Status: UNCONFIRMED → NEW
Ever confirmed: true
OS: Unspecified → Windows
Posted file about_support.txt
Found the right button on about:support to get the nice output.
White window, WebRender is active, no warnings, no crashes.
Win10, Radeon RX480
mozregression --good 2018-03-01 --bad 2018-03-02 --pref gfx.webrender.all:true
> 12:35.57 INFO: Last good revision: cfc5d19e856fc43766669069b7e2695dd519e5c3
> 12:35.57 INFO: First bad revision: 81f389c2524e58b4b95844667719cc1642573019
> 12:35.57 INFO: Pushlog:
> https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=cfc5d19e856fc43766669069b7e2695dd519e5c3&tochange=81f389c2524e58b4b95844667719cc1642573019
Blocks: 1440664
(In reply to Jan Andre Ikenmeyer [:darkspirit] from comment #6)
> Created attachment 8955517 [details]
> about_support.txt
> 
> Found the right button on about:support to get the nice output.
> White window, WebRender is active, no warnings, no crashes.

Thanks! That's good to know as it eliminates certain classes of problems. I've kicked off some builds to try and bisect inside the async-scene build patches which I believe are responsible.
OT: I think comment 9 was a different adventure of Nightly. Even deleting prefs.js didn't help. I had to empty the profile folder.

Created a fresh profile, then I set webrender.all + force-angle=false and restarted:
> (#0) 	GP+[GFX1-]: WR: ERROR: Invalid window dimensions! Please call api.set_window_size()
> (#1) 	GP+[GFX1-]: WR: ERROR: Invalid window dimensions! Please call api.set_window_size()
I managed to eliminate the first three patches of nical's changeset. I'll have to spend some time fixing rebase errors to get further.
Duplicate of this bug: 1442725
Debugged this locally and with nical's help came up with a possible fix. It seems to work locally, here's a try push:

https://treeherder.mozilla.org/#/jobs?repo=try&revision=6f82840bf07ed695ce3e8ce29e308be0af802e19
Posted patch WorkaroundSplinter Review
Carrying r=nical from IRC.
Assignee: nobody → bugmail
Attachment #8955666 - Flags: review+
Try push is looking good, and it seems to fix the mochitest-webgl intermittents as well. I'll land this patch and re-enable those tests.
Pushed by kgupta@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/02bf3c12111c
Fix rendering failure with WebRender on Windows. r=nical
(In reply to Kartikaya Gupta (email:kats@mozilla.com) from comment #13)
> https://treeherder.mozilla.org/#/jobs?repo=try&revision=6f82840bf07ed695ce3e8ce29e308be0af802e19

Win10, Radeon RX480
mozregression --repo try --launch 6f82840bf07ed695ce3e8ce29e308be0af802e19 --pref gfx.webrender.all:true

WebRender is active, the window isn't blank anymore. But I see this:
> GP+[GFX1-]: WR: ERROR: Invalid window dimensions! Please call api.set_window_size()
That error message is probably a result of forcing a scene build when there is no display list set yet. The proper fix should take care of it.
Duplicate of this bug: 1442848
https://hg.mozilla.org/mozilla-central/rev/02bf3c12111c
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → mozilla60
3-3-2018 nightly definitely did fix this issue but I think with gfx.webrenderer.all true, firefox takes much more time to start up.
Flags: needinfo?(bugmail)
That might be a separate regression. Can you please file a new bug for that? Thanks!
Flags: needinfo?(bugmail)
about: home is displayed well
Status: RESOLVED → VERIFIED
Summary: starting with white display when webrender is rurned on. → starting with white display when webrender is turned on.
You need to log in before you can comment on or make changes to this bug.